import { DataObject } from "../Types";
export declare abstract class Sensor {
    type?: string;
    devAddr: string | undefined;
    mcuId: string | undefined;
    constructor(devAddr?: string, mcuId?: string);
    setDevAddr(devAddr: string): void;
    setMcuId(mcuId: string): void;
    getDevAddr(): string | undefined;
    getMcuId(): string | undefined;
    abstract getData(delay?: number): DataObject | (DataObject | DataObject[])[] | Promise<DataObject | (DataObject | DataObject[])[]>;
}
